#include <fstream.h>
#include <stdlib.h>
#include <algorithm>


char str1[101], str2[101];
long mas1[26], mas2[26];

int r[101];

int main()
{
	ifstream in("ancient.in");
	ofstream out("ancient.out");

	in>>str1>>str2; long i;
	
	for (i=0;i<strlen(str1);i++)
		mas1[str1[i]-'A']++;
	
	for (i=0;i<strlen(str2);i++)
		mas2[str2[i]-'A']++;

	std::sort(mas1,mas1+26);
	std::sort(mas2,mas2+26);

	for (i=0;i<26;i++)
		if (mas1[i]!=mas2[i])
		{ out<<"NO";	return 0; }

	out<<"YES";
	return 0;
}